﻿namespace ProjectSeaplane;
/// <summary>
/// Класс-сущность Гидросамолета
/// </summary>
public class EntitySeaplane
{
    /// <summary>
    /// Скорость
    /// </summary>
    public int Speed { get; private set; }
    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }
    /// <summary>
    /// Основной цвет
    /// </summary>
    public Color BodyColor { get; private set; }
    /// <summary>
    /// Дополнительный (для опциональных частей)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Тип "шасси" (0 - лодочный, 1 - поплавковый)
    /// </summary>
    public bool LandingGear { get; private set; }
    /// <summary>
    /// Признак наличия радара
    /// </summary>
    public bool Radar {  get; private set; }
    /// <summary>
    /// Расстояние шага передвижения
    /// </summary>
    public double Step => Speed * 100 / Weight;
    /// <summary>
    /// 
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="landingGear">Тип "шасси"</param>
    /// <param name="radar">Тип двигателя</param>
    public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool landingGear, bool radar)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;  
        AdditionalColor = additionalColor;
        LandingGear = landingGear;
        Radar = radar;
         
    }
}
